/******************************************************************************
 *
 *              HardwareProfile
 *
 ******************************************************************************
 * FileName:        HardwareProfile.h
 * Dependencies:    See include below
 * Processor:       PIC32
 * Compiler:        C32 V1.03
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 * Microchip Technology Incorporated ("Microchip) and its licensors retain 
 * all ownership and intellectual property rights in the code accompanying 
 * this message and in all derivatives thereto.  The code and information 
 * accompanying this message is provided for your convenience and use with 
 * Microchip products only.  Your acceptance and/or use of this code 
 * constitute agreement to the terms and conditions of this notice.Microchip 
 * disclaims all liability arising from this information and its use.  It is 
 * your responsibility to ensure that your application meets with your 
 * specifications.Further, the implementation and use of the FAT file system 
 * accompanying this code, SD card specifications, MMC card specifications 
 * and other third party tools may require a license from various entities, 
 * including, but not limited to Microsoft Corporation, SD Card Association 
 * and MMCA.  It is your responsibility to obtain more information regarding 
 * any applicable licensing obligations.
 * 
 * CODE AND INFORMATION ACCOMPANYING THIS MESSAGE IS PROVIDED AS IS.  
 * MICROCHIP AND ITS LICENSORS MAKES NO REPRESENTATION OR WARRANTIES OF ANY 
 * KIND WHETHER EXPRESS OR IMPLIED, WRITTEN OR ORAL, STATUTORY OR OTHERWISE, 
 * RELATED TO THE INFORMATION PROVIDED TO YOU, INCLUDING BUT NOT LIMITED TO 
 * ITS CONDITION, QUALITY, PERFORMANCE, MERCHANTABILITY, NON-INFRINGEMENT, 
 * OR FITNESS FOR PURPOSE.  MICROCHIP AND ITS LICENSORS ARE NOT LIABLE, UNDER 
 * ANY CIRCUMSTANCES, FOR SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, 
 * FOR ANY REASON WHATSOEVER.  	 
 *
 *****************************************************************************
 *
 * 11/17/08	V1.00 D.Wenn		First version of fatfs sd card support
 *
 *****************************************************************************/

#ifndef __HARDWAREPROFILE_H
#define __HARDWAREPROFILE_H

#ifndef __PIC32MX__
#error "This example of fatfs is only for PIC32 at present!"
#endif

// define the Processor instruction frequency
#define FOSC	25000000

// define the interface that the SD card is using
#define MEDIASD_IF_SPI1

// define the chip select pin function
#define _SetChipSelect(on)          {\
                                        mPORTBSetPinsDigitalOut(BIT_1);\
                                        if(on)\
                                            mPORTBClearBits(BIT_1);\
                                        else\
                                            mPORTBSetBits(BIT_1);\
                                    }

// Card detect - Read Only
#define SD_CD                   (mPORTFReadBits(BIT_0))             
#define SDSetCDDirection()      (mPORTFSetPinsDigitalIn(BIT_0))
// Write enable - Read Only
#define SD_WE                   (mPORTFReadBits(BIT_1))               
#define SDSetWEDirection()      (mPORTFSetPinsDigitalIn(BIT_1))

// SPI configuration defines
#define FATFS_SPI_START_CFG_1		(PRI_PRESCAL_64_1 | SEC_PRESCAL_8_1 | MASTER_ENABLE_ON | SPI_CKE_ON | SPI_SMP_ON)
#define FATFS_SPI_START_CFG_2		(SPI_ENABLE)



#endif // __HARDWAREPROFILE_H


